package com.thuwater.data.client.model;

import java.io.IOException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.dataformat.yaml.YAMLFactory;

/**
 * @Author zhangpeng
 * @Date 2019/12/11 15:05
 */
public class Config {
    private static final Logger log = LoggerFactory.getLogger(Config.class);
    private static Config CONFIG;

    static {
        ObjectMapper configMapper = new ObjectMapper(new YAMLFactory());
        try {
            CONFIG = configMapper.readValue(Config.class.getClassLoader().getResource("application.yml"), Config.class);
        } catch (IOException e) {
            log.error("", e);
        }
    }

    private String username;
    private String password;
    private Mode mode;
    private int port;
    private String uri;
    private String whkey;

    public static Config instance() {
        return CONFIG;
    }

    public String getUsername() { return username;}

    public void setUsername(String username) { this.username = username;}

    public String getPassword() { return password;}

    public void setPassword(String password) { this.password = password;}

    public Mode getMode() { return mode;}

    public void setMode(Mode mode) { this.mode = mode;}

    public int getPort() { return port;}

    public void setPort(int port) { this.port = port;}

    public String getUri() { return uri;}

    public void setUri(String uri) { this.uri = uri;}

    public String getWhkey() { return whkey;}

    public void setWhkey(String whkey) { this.whkey = whkey;}

    public enum Mode {
        push,
        pull,
        history,
        ;
    }

}

