package com.thuwater.data.client.model;

import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.Map;

import com.thuwater.data.client.utils.DateTimeUtil;

/**
 * @Author zhangpeng
 * @Date 2019/10/8 13:56
 */
public class TokenInfo {
    public static TokenInfo inValidToken = new TokenInfo(false, null, null, null, null, null);
    public final String token;
    public final String username;
    public final String projects;
    public final String places;
    public final LocalDateTime validDate;
    public final Boolean valid;

    public TokenInfo(Boolean valid,
                     String token,
                     String username,
                     String projects,
                     String places,
                     LocalDateTime validDate) {
        this.token = token;
        this.username = username;
        this.projects = projects;
        this.places = places;
        this.validDate = validDate;
        this.valid = valid;
    }

    public Map<String, Object> toObjectMap() {
        Map<String, Object> om = new HashMap<>();
        om.put("username", username);
        om.put("projects", projects);
        om.put("places", places);
        return om;
    }

    @Override
    public String toString() {
        return "{\"token\":" + (token == null ? "null" : "\"" + token + "\"") + ", " +
                "\"username\":" + (username == null ? "null" : "\"" + username + "\"") + ", " +
                "\"projects\":" + (projects == null ? "null" : "\"" + projects + "\"") + ", " +
                "\"places\":" + (places == null ? "null" : "\"" + places + "\"") + ", " +
                "\"validDate\":" + (validDate == null ? "null" : "\"" + DateTimeUtil.dateTimeToString(validDate) + "\"") + ", " +
                "\"valid\":" + (valid == null ? "false" : "\"" + valid + "\"") +
                "}";
    }

}
